Description

Hi everyone!

We've been using Redmine for half a year and a little time ago have decided to change some workflow stuff.

At the 'Field Permissions' tab we have made some fields required for certain roles. But we've noticed that the changes didn't apply to
all users of this role.

After investigating we've found out that this issue applies only for administrators accounts. Is that correct that administrators can
leave required fields blank?

We don't have an administrator in our team, so project manager has administrator access to Redmine. And also this PM creates
tasks so it's crucial for us that workflow should also apply to PM's account discarding it's administrator's status.

Versions info:

Environment:
Redmine version 2.3.0.stable.11715
Ruby version 2.0.0 (x86_64-1inux)
Rails version 3.2.13
Environment production
Database adapter Mysql2

Redmine plugins:
redmine_mylyn_connector 2.8.2.stable

Related issues:
Is duplicate of Redmine - Defect #11887: Issue permission doesn't apply to Ad... New

History

#1 - 2013-05-15 10:40 - Dzianis Frydliand

Any comments on this issue?

#2 - 2013-05-15 13:45 - Daniel Felix

Hi,

yes this is the right behaviour.

An Administrator must be able to clean out values from some fields, even if he don't know what the right value for this fields is.
The normal behaviour is, that only a few persons has admin privileges. In the best case on separate user accounts.

Admins will bypass every restriction.

Best regards,
Daniel

#3 - 2013-05-15 13:45 - Daniel Felix
- Category set to Permissions and roles

- Resolution set to Invalid

2025-05-17 1/2




#4 - 2013-05-15 13:46 - Dzianis Frydliand

- Status changed from New to Resolved
Thank you for the response!

#5 - 2013-05-15 13:55 - Daniel Felix

- Status changed from Resolved to Closed

Thanks. Just a suggestion. Try to give your admins separate accounts, otherwise the workflow won't fit to them as expected. This is the way, we
handle this.

#6 - 2013-05-15 20:01 - Mischa The Evil

For referencing purposes: #11887.

#7 - 2013-05-15 20:01 - Mischa The Evil

- Resolution changed from Invalid to Duplicate
